## org.firebirdsql.pool.sun
Class AppServerConnectionPoolDataSource

    java.lang.Object
      org.firebirdsql.pool.sun.AppServerConnectionPoolDataSource

All Implemented Interfaces:
  Serializable, Referenceable, ObjectFactory, CommonDataSource, ConnectionPoolDataSource

    public class AppServerConnectionPoolDataSource

extends Object
implements Serializable, ConnectionPoolDataSource, Referenceable, ObjectFactory

Implementation of the `ConnectionPoolDataSource` interface for the Sun Application Server 8.x (tested with PE 8.1). The main difference to the `FBConnectionPoolDataSource` class is that property "userName" is renamed into "user" and the possibilities to set the custom properties is removed. All this is caused by a quite strange algorithm that Sun software engineers had chosen to set data source properties.

This class also acts as an object factory for the JNDI de-referencing.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Constructor Summary
`AppServerConnectionPoolDataSource()`

Method Summary
`int` `getBlobBufferSize()`
`int` `getBlockingTimeout()`
`int` `getBuffersNumber()`
`String` `getCharSet()`
`String` `getDatabaseName()`
`String` `getDefaultIsolation()`
`String` `getEncoding()`
`int` `getLoginTimeout()`
`PrintWriter` `getLogWriter()`
`int` `getMaxIdleTime()`
`int` `getMaxPoolSize()`
`int` `getMaxStatements()`
`int` `getMinPoolSize()`
`Object` `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable environment)`
`String` `getPassword()`
`int` `getPingInterval()`
`String` `getPingStatement()`
`PooledConnection` `getPooledConnection()`
`PooledConnection` `getPooledConnection(String username, String password)`
`Reference` `getReference()`
`int` `getRetryInterval()`
`String` `getRoleName()`
`int` `getSocketBufferSize()`
`String` `getSqlDialect()`
`String` `getType()`
`String` `getUser()`
`String` `getUseTranslation()`
`boolean` `isKeepStatements()`
`boolean` `isPooling()`
`boolean` `isStatementPooling()`
`boolean` `isTimestampUsesLocalTimezone()`
`boolean` `isUseStandardUdf()`
`boolean` `isUseStreamBlobs()`
`void` `setBlobBufferSize(int value)`
`void` `setBlockingTimeout(int value)`
`void` `setBuffersNumber(int value)`
`void` `setCharSet(String value)`
`void` `setDatabaseName(String value)`
`void` `setDefaultIsolation(String value)`
`void` `setEncoding(String value)`
`void` `setKeepStatements(boolean value)`
`void` `setLoginTimeout(int seconds)`
`void` `setLogWriter(PrintWriter out)`
`void` `setMaxIdleTime(int value)`
`void` `setMaxPoolSize(int value)`
`void` `setMaxStatements(int value)`
`void` `setMinPoolSize(int value)`
`void` `setPassword(String value)`
`void` `setPingInterval(int value)`
`void` `setPingStatement(String value)`
`void` `setPooling(boolean value)`
`void` `setRetryInterval(int value)`
`void` `setRoleName(String value)`
`void` `setSocketBufferSize(int value)`
`void` `setSqlDialect(String value)`
`void` `setStatementPooling(boolean value)`
`void` `setTimestampUsesLocalTimezone(boolean value)`
`void` `setType(String value)`
`void` `setUser(String value)`
`void` `setUseStandardUdf(boolean value)`
`void` `setUseStreamBlobs(boolean value)`
`void` `setUseTranslation(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppServerConnectionPoolDataSource

    public AppServerConnectionPoolDataSource()

Method Detail

### getPooledConnection

    public PooledConnection getPooledConnection()
                                         throws SQLException

  Specified by:
    `getPooledConnection` in interface `ConnectionPoolDataSource`
  Throws:
    `SQLException`

### getPooledConnection

    public PooledConnection getPooledConnection(String username,
                                                String password)
                                         throws SQLException

  Specified by:
    `getPooledConnection` in interface `ConnectionPoolDataSource`
  Throws:
    `SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Specified by:
    `getLoginTimeout` in interface `CommonDataSource`
  Throws:
    `SQLException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Specified by:
    `getLogWriter` in interface `CommonDataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Specified by:
    `setLoginTimeout` in interface `CommonDataSource`
  Throws:
    `SQLException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Specified by:
    `setLogWriter` in interface `CommonDataSource`
  Throws:
    `SQLException`

### getBlobBufferSize

    public int getBlobBufferSize()

### setBlobBufferSize

    public void setBlobBufferSize(int value)

### getBlockingTimeout

    public int getBlockingTimeout()

### setBlockingTimeout

    public void setBlockingTimeout(int value)

### getBuffersNumber

    public int getBuffersNumber()

### setBuffersNumber

    public void setBuffersNumber(int value)

### getCharSet

    public String getCharSet()

### setCharSet

    public void setCharSet(String value)

### getDatabaseName

    public String getDatabaseName()

### setDatabaseName

    public void setDatabaseName(String value)

### getDefaultIsolation

    public String getDefaultIsolation()

### setDefaultIsolation

    public void setDefaultIsolation(String value)

### getEncoding

    public String getEncoding()

### setEncoding

    public void setEncoding(String value)

### isKeepStatements

    public boolean isKeepStatements()

### setKeepStatements

    public void setKeepStatements(boolean value)

### getMaxIdleTime

    public int getMaxIdleTime()

### setMaxIdleTime

    public void setMaxIdleTime(int value)

### getMaxPoolSize

    public int getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(int value)

### getMaxStatements

    public int getMaxStatements()

### setMaxStatements

    public void setMaxStatements(int value)

### getMinPoolSize

    public int getMinPoolSize()

### setMinPoolSize

    public void setMinPoolSize(int value)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String value)

### getPingInterval

    public int getPingInterval()

### setPingInterval

    public void setPingInterval(int value)

### getPingStatement

    public String getPingStatement()

### setPingStatement

    public void setPingStatement(String value)

### isPooling

    public boolean isPooling()

### setPooling

    public void setPooling(boolean value)

### getRetryInterval

    public int getRetryInterval()

### setRetryInterval

    public void setRetryInterval(int value)

### getRoleName

    public String getRoleName()

### setRoleName

    public void setRoleName(String value)

### getSocketBufferSize

    public int getSocketBufferSize()

### setSocketBufferSize

    public void setSocketBufferSize(int value)

### getSqlDialect

    public String getSqlDialect()

### setSqlDialect

    public void setSqlDialect(String value)

### isStatementPooling

    public boolean isStatementPooling()

### setStatementPooling

    public void setStatementPooling(boolean value)

### isTimestampUsesLocalTimezone

    public boolean isTimestampUsesLocalTimezone()

### setTimestampUsesLocalTimezone

    public void setTimestampUsesLocalTimezone(boolean value)

### getType

    public String getType()

### setType

    public void setType(String value)

### getUser

    public String getUser()

### setUser

    public void setUser(String value)

### isUseStandardUdf

    public boolean isUseStandardUdf()

### setUseStandardUdf

    public void setUseStandardUdf(boolean value)

### isUseStreamBlobs

    public boolean isUseStreamBlobs()

### setUseStreamBlobs

    public void setUseStreamBlobs(boolean value)

### getUseTranslation

    public String getUseTranslation()

### setUseTranslation

    public void setUseTranslation(String value)

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Copyright © 2001-2010. All Rights Reserved.